blob: 01d21d748373dead4dafb91ac523948f466c6710 [file] [log] [blame]
Austin Schuhe89fa2d2019-08-14 20:24:23 -07001#!/bin/sh
2#
3# Copyright 2016 Google Inc. All rights reserved.
4#
5# Licensed under the Apache License, Version 2.0 (the "License");
6# you may not use this file except in compliance with the License.
7# You may obtain a copy of the License at
8#
9# http://www.apache.org/licenses/LICENSE-2.0
10#
11# Unless required by applicable law or agreed to in writing, software
12# distributed under the License is distributed on an "AS IS" BASIS,
13# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14# See the License for the specific language governing permissions and
15# limitations under the License.
16
17pushd "$(dirname $0)" >/dev/null
18
19command -v pub >/dev/null 2>&1 || { echo >&2 "Dart tests require `pub` but it's not installed. Aborting."; exit 1; }
20command -v dart >/dev/null 2>&1 || { echo >&2 "Dart tests require dart to be in path but it's not installed. Aborting."; exit 1; }
Austin Schuh272c6132020-11-14 16:37:52 -080021# output required files to the dart folder so that pub will be able to
Austin Schuhe89fa2d2019-08-14 20:24:23 -070022# distribute them and more people can more easily run the dart tests
Austin Schuh272c6132020-11-14 16:37:52 -080023../flatc --dart -I include_test -o ../dart/test monster_test.fbs
Austin Schuhe89fa2d2019-08-14 20:24:23 -070024cp monsterdata_test.mon ../dart/test
25
26cd ../dart
27
28# update packages
29pub get
30# Execute the sample.
31dart test/flat_buffers_test.dart
32
33# cleanup
34rm ../dart/test/monsterdata_test.mon